gnutls_alert_get_name(3)

NAME
gnutls_alert_get_name - Returns a string describing the alert number given

SYNOPSIS
#include <gnutls/gnutls.h>

const char * gnutls_alert_get_name(gnutls_alert_description_t alert);

ARGUMENTS

gnutls_alert_description_t alert
    is an alert number gnutls_session_t structure.

DESCRIPTION
This function will return a string that describes the given alert number, or NULL. See gnutls_alert_get().

RETURNS
string corresponding to gnutls_alert_description_t value.

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>. GnuTLS home page: http://www.gnu.org/software/gnutls/ General help using GNU software: http://www.gnu.org/gethelp/

COPYRIGHT
Copyright © 2008 Free Software Foundation.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual.